#!/usr/bin/env bash

echo "Vérification de la configuration système..."

echo "Astuce : Pour tout installer d'un coup : sudo apt-get install build-essential nodejs npm avrdude wine"

echo "Vérification des dépendances pour la compilation du compte-rendu..."

if ! which make &> /dev/null
then
    echo "Veuillez installer Make (sudo apt-get install build-essential)"
    exit 1
fi

if ! which node &> /dev/null
then
    echo "Veuillez installer NodeJS (sudo apt-get install nodejs)"
    exit 1
fi

if ! which npm &> /dev/null
then
    echo "Veuillez installer NPM (sudo apt-get install npm)"
    exit 1
fi

echo "Vérification des dépendances pour la compilation des programmes Atmega 2560..."

if ! which wine &> /dev/null
then
    echo "Veuillez installer avrdude (sudo apt-get install wine)"
    exit 1
fi

if ! which avrdude &> /dev/null
then
    echo "Veuillez installer avrdude (sudo apt-get install avrdude)"
    exit 1
fi

echo "Installation des bibliothèques pour la compilation du compte-rendu..."

echo $(cd scripts; npm install)

echo "Tout baigne !"

